@import '../../../style/variables';
@import './common/mixins';

:host {
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100%;

  .form-grid {
    @include form-grid();
  }

  .mat-expansion-panel-header {
    ::ng-deep {
      .mat-content {
        display: grid;
        grid-template-columns: 1fr 2.5rem;
        align-items: center;
        justify-items: left;
        padding-right: .25rem;
      }
    }

    figure {
      justify-self: center;
      margin: 0;

      $size: 2rem;
      img {
        max-height: $size;
        max-width: $size;
      }
    }
  }

  .players {
    &.cdk-drop-list-dragging {
      :not(.cdk-drag-placeholder) {
        transition: transform 250ms cubic-bezier(0, 0, .2, 1);
      }
    }

    .cdk-drag-placeholder {
      background: $fmi-plateau-accent-color-lighter-x;
      border: dotted 3px $fmi-plateau-accent-color-darker;
      min-height: 4rem;
      transition: transform 250ms cubic-bezier(0, 0, .2, 1);
    }
  }
}

app-fmi-team-member {
  &.cdk-drag-preview {
    box-sizing: border-box;
    border-radius: 4px;
    box-shadow:
      0 5px 5px -3px rgba(0, 0, 0, .2),
      0 8px 10px 1px rgba(0, 0, 0, .14),
      0 3px 14px 2px rgba(0, 0, 0, .12);
  }

  &.cdk-drag-animating {
    transition: transform 250ms cubic-bezier(0, 0, .2, 1);
  }

  .drag-handler {
    position: absolute;
    height: 100%;
    width: 3rem;
    left: 0;
    z-index: 2;
    cursor: move;
  }
}

